<aside class="alert alert-info">
    <span class="label label-danger">功能</span> 從上傳的照片集選定一張設定為預設圖作法。
</aside>
<hr class="inner-separator">

<?php
    $KeyID = ( $this->session->has('create-richitemId') ) ? $this->session->get('create-richitemId') : $this->session->get('edit-richitemId') ;
    $medias = array("照片", "屋況說明書", "土地謄本", "建物謄本", "使用執照", "建物測量成果圖", "地籍圖", "違建報拆");
foreach ($medias as $i => $type):
?>
<section class="widget">
    <div class="widget-header">
        <h3><i class="fa fa-magic"></i> <?=$type;?></h3>
        <div class="btn-group widget-header-toolbar">
            <a class="btn-borderless btn-toggle-expand" title="展開/收合"
                href="javascript:void(0);">
                <?php if($i != 0):  ?>
                <i class="fa fa-chevron-down"></i>
                <?php else: ?>
                <i class="fa fa-chevron-up"></i>
                <?php endif; ?>
            </a>
        </div>
    </div>
    <div class="widget-content" <?php if($i != 0){ echo 'style="display: none;"'; } ?> >
        <input type="file" class="file-loading"
               id="RichitemMedia<?=$i;?>" name="RichitemMedia"
               data-type="<?=$type;?>"
               webkitdirectory
               multiple />
    </div>
    <div class="widget-footer"></div>
</section>
<?php endforeach; ?>


<script>
$(function(){

    <?php foreach ($medias as $i => $type){
        $load= new \House\Plugins\LoadMedias([
                        "model"=>"\\Houserich\\Models\\RichitemMedia",
                        "name"=>"RichitemMedia",
                        "KeyName" => "RichitemId",
                        "KeyID" => $KeyID,
                        "type"=>$type
                   ]);
        $previews = $load->loadpriviews();
    ?>
    $("#RichitemMedia<?=$i;?>").fileinput({
        uploadUrl: '<?=$this->url->get('file/upload') ?>',
        deleteUrl: '<?=$this->url->get('file/delete/RichitemMedia') ?>',
        allowedFileExtensions: ['jpg', 'gif', 'png', 'pdf'],
        uploadExtraData: {
            type: '<?=$type;?>',
            KeyName: 'RichitemId',
            KeyID:'<?=$KeyID;?>',
        },
        theme: "fa",
        browseLabel: '選擇檔案/目錄',
        maxFileSize: 100000, //KB
        msgSizeTooLarge: '檔案"{name}" ({size} KB)超過100MB大小限制無法上傳！',
        removeLabel: '移除',
        previewFileIcon: '<i class="fa fa-file"></i>',
        previewFileIconSettings: {
            'jpg': '<i class="fa fa-file-photo-o text-warning"></i>',
            'png': '<i class="fa fa-file-photo-o text-warning"></i>',
            'gif': '<i class="fa fa-file-photo-o text-warning"></i>',
            'pdf': '<i class="fa fa-file-pdf-o text-danger"></i>',
        },
        overwriteInitial: false,
        initialPreviewAsData: true,
        <?php
        if( count($previews) > 0 ){
        print("
           initialPreview: {$previews['initialPreview']},
           initialPreviewConfig: {$previews['initialPreviewConfig']}
        ");
        } ?>
    }).on('filesorted', function(e, params) {
        console.log('File sorted params', params);
    }).on('fileuploaded', function(e, params) {
    });
    <?php } ?>
});
</script>
